
TextArea.setKeyboardFonts{
	TTFont.new("NotoSans.ttf", 100)
}

TextArea.setKeyboardSounds{
	Sound.new("Keypress.wav")
}

TextArea.setKeyboardLayouts(require "kblayouts", 10)

application:setKeepAwake(true)
swidth = application:getLogicalWidth()
sheight = application:getLogicalHeight()

local chars = {}
for code = 1, 2048 do chars[#chars+1] = utf8.char(code) end
font = TTFont.new("NotoSans.ttf", 30, table.concat(chars))

local callback = function(self, escape)
	print("escape:", escape, ", text:", self.text)
end


local txarea = TextArea.new{
	font        = font,
	text        = "",
	sample      = "qP|", 
	align       = "L",
	width       = swidth*0.98,
	height      = 0.1 * sheight,
	letterspace = 0,
	linespace   = 5,
	color       = 0x000000,
	wholewords  = false,
	oneline     = true,
	maxchars    = 27,
	undolevels  = 10,
	curwidth    = 2,
	curcolor    = 0x333333,
	curalpha    = 1,
	selcolor    = 0xffffff,
	selalpha    = 0.25,
	sldwidth    = 4,
	sldcolor    = 0x882222,
	sldalpha    = 0.5,
	edit        = true,
	scroll      = false,
	callback    = callback,
}

stage:addChild(txarea)